smug(1)

NAME
smug - a session manager for tmux written in go

SYNOPSIS
smug [options] [command]

DESCRIPTION
smug is a session manager for tmux. Configuration is inspired by tmuxinator and tmuxp.

GLOBAL OPTIONS

-d, --debug
    Print all commands to ~/.config/smug/smug.log

COMMANDS

list
    Display all smug project configurations.

start [<projectname>]
    Start a tmux project session.
    COMMAND OPTIONS

-f, --file
    A custom path to a config file.

-w, --windows
    List of windows to start. If session exists, those windows will be attached to current session.

-a, --attach
    Force switch client for a session.

stop [<projectname>]
    Stop tmux project session

print
    Print current session configuration as yaml to stdout

EXAMPLES
$ smug list
$ smug start blog
$ smug start blog:win1
$ smug start blog -w win1
$ smug start blog:win1,win2
$ smug stop blog
$ smug start blog --attach
$ smug print > ~/.config/smug/new_project.yml

AUTHOR
Ivan Klymenchenko

SEE ALSO
Project homepage:
    https://github.com/ivaaaan/smug

LICENSE
MIT